/**
 * Magetop Quotesystem
 *
 * @category  Magetop Extensions
 * @package   Magetop_Quotesystem
 * @author    Magetop Developer
 * @copyright Copyright (c) Magetop (https://www.magetop.com)
 * @license   https://www.magetop.com/license.html
 */
/*jshint jquery:true*/
define(
    [
    "jquery",
    ], function ($) {
        'use strict';
        $.widget(
            'mage.mtCompareList', {
                _create: function () {
                    var self = this;
                    var showCart = self.options.showCart;
                    if (!showCart) {
                        $('td.cell.product.info').each(
                            function () {
                                if ($(this).find('.quote_button').length > 0) {
                                    $(this).find('.action.tocart.primary').remove();
                                }
                            }
                        );
                    }
                },
            }
        );
        return $.mage.mtCompareList;
    }
);